NUOVO PROGRAMMATORE PICKIT 4

  • FABRIZIO
  • Avatar di FABRIZIO
  • Offline
  • Elite Member
  • Elite Member
Di più
3 Anni 11 Mesi fa #1 da FABRIZIO
NUOVO PROGRAMMATORE PICKIT 4 è stato creato da FABRIZIO
Ciao a tutti, ho problemi nel far funzionare il mio nuovo PICKIT 4 di Microchip. Ho scaricato e installato l'ultima versione di MPLAB IDE X, il compilatore XC8 e MPLAB IPE che se ho capito bene serve a installare, leggere o cancellare il firmware nel microcontrollore. Premetto che ho collegato il mio PICKIT 4 nel multizzoccolo, progetto pubblicato da SETTOREZERO, perfettamente funzionante collegato al mio vecchio PICKIT 2, perchè il connettore di uscita ha lo stesso collegamento di quello del PICKIT 4.
Io gli faccio programmare un PIC16F628 che non è totalmente compatibile perchè ha il pallino giallo, ma da quanto ho letto, non dovrebbe avere problemi di connessione. Quando provo a connettermi mi viene fuori questo messaggio di errore: "The configuration is set for the target board to supply its own power but no voltage has been detected on VDD. Please ensure you have your target powered up and try again.
Connection Failed."

Qualcuno sa dirmi cosa posso fare?

Si prega Accedi o Crea un account a partecipare alla conversazione.

Di più
3 Anni 11 Mesi fa #2 da Mauro Laurenti
Risposta da Mauro Laurenti al topic NUOVO PROGRAMMATORE PICKIT 4
Salve Fabrizio,

l'errore dice che la tua scheda non è alimentata mentre il programmatore si aspetta di trovarla.

Devi cambiare o le impostazioni del programmatore o alimentare la tua scheda.

Se fornisci l'alimentazione tramite programmatore valuta il fatto che il programmatore può fornire solo pochi mA.

Da MPLAB X se selezioni il tuo programmatore tra gli strumenti del tuo progetto, puoi cambiare queste impostazioni.

Saluti,

Mauro

Si prega Accedi o Crea un account a partecipare alla conversazione.

  • FABRIZIO
  • Avatar di FABRIZIO
  • Offline
  • Elite Member
  • Elite Member
Di più
3 Anni 10 Mesi fa #3 da FABRIZIO
Risposta da FABRIZIO al topic NUOVO PROGRAMMATORE PICKIT 4
Ho scoperto come si fa a settare IPE di Microchip e adesso mi vede e programma il mio pic16f690 ma non mi vede il pic16f628, che, secondo il file che indica i pic supportati, me lo dovrebbe riconoscere come il pic16f690

Si prega Accedi o Crea un account a partecipare alla conversazione.

  • FABRIZIO
  • Avatar di FABRIZIO
  • Offline
  • Elite Member
  • Elite Member
Di più
2 Anni 5 Mesi fa #4 da FABRIZIO
Risposta da FABRIZIO al topic NUOVO PROGRAMMATORE PICKIT 4
Ciao a tutti. Dopo 1 anno e mezzo sono tornato a fare le prove per programmare il PIC16F628 col programmatore PIKIT4. Questo PIC è l'unico che non riesco a fargli riconoscere e nella prova mi viene fuori questo messaggio: "Target Device ID (0x0) is an Invalid Device ID. Please check your connections to the Target Device." Però se imposto la velocità di programmazione su HIG allora me lo riconosce, ma quando cerco di scaricargli il programma mi dice di abbassare la velocità si LOW inviando questo messaggio: "Verify failed. [config mem] 0x2007, expected 0x3dff, got 0x0
You have set the program speed to High. The circuit on your board may require you to slow the speed down. Please change the setting in the tool properties to low and try the operation again.
Programming did not complete."

Allora abbasso la velocità e provo nuovamente ed ecco il risultato: " Verify failed. [ Pgm ] at 0x2, expected 0x00003fff, got 0x00000000
Programming did not complete."

Non so più che fare. Il problema è che ho diverse schede funzionanti col PIC16F628. Qualcuno mi saprebbe dare una dritta?

Si prega Accedi o Crea un account a partecipare alla conversazione.

  • FABRIZIO
  • Avatar di FABRIZIO
  • Offline
  • Elite Member
  • Elite Member
Di più
1 Anno 9 Mesi fa #5 da FABRIZIO
Risposta da FABRIZIO al topic NUOVO PROGRAMMATORE PICKIT 4
Buongiorno a tutti mi ricollego al problema di compatibilità tra PICKIT4 e PIC16F628; ne ho trovato uno montato su una vecchia scheda, ho provato a connetterlo al PICKIT4 e ho riscontrato che funziona tutto benissimo, mentre che altri nuovi uguali mi da errore; non capisco il perchè; non vorrei che gli abbia programmati involontariamente inserendogli la protezione contro lettura e scrittura...boh. Qualcuno conosce un sistema per sproteggerli se fosse possibile?

Si prega Accedi o Crea un account a partecipare alla conversazione.

Moderatori: Mauro Laurenti